# EmailResource

Canonical page: https://docs.ovok.com/java-sdk/reference/email-resource

```java
public final class EmailResource
```

Reads project email settings. Get it from [`Ovok.email()`](/java-sdk/reference/ovok#email).

## Methods [#methods]

### templates [#templates]

```java
public EmailResource.Templates templates()
```

Returns the email template calls.

**Returns:** the email template calls

## EmailResource.Templates [#emailresourcetemplates]

```java
public static final class Templates
```

Reads email templates.

### Templates.list [#templateslist]

```java
public JsonNode list(RequestOptions options) throws IOException, InterruptedException
```

Lists the project email templates (`GET /v1/email/templates`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
